[Pkg-voip-commits] [portaudio19] 29/114: * Disable JACK and ringbuffer on all architectures except i386 and powerpc. (Closes: #406754: FTBFS: #error Memory barriers are not defined on this system)

Benjamin Drung bdrung at moszumanska.debian.org
Sun Dec 25 20:05:33 UTC 2016


This is an automated email from the git hooks/post-receive script.

bdrung pushed a commit to branch master
in repository portaudio19.

commit 413fb0a451f8defdcc9bdabaae93e314b3ee287c
Author: Mikael Magnusson <mikma at users.sourceforge.net>
Date:   Sun Jan 14 15:20:48 2007 +0000

    * Disable JACK and ringbuffer on all architectures except i386 and
      powerpc.  (Closes: #406754: FTBFS: #error Memory barriers are not
      defined on this system)
---
 debian/changelog                                |  6 ++-
 debian/control                                  |  3 +-
 debian/patches/00list                           |  1 +
 debian/patches/pa_autoconf_soundcard_gen.dpatch | 18 +++++++
 debian/patches/pa_cond_ringbuffer.dpatch        | 70 +++++++++++++++++++++++++
 debian/rules                                    | 27 ++++++++--
 6 files changed, 118 insertions(+), 7 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index d5dc654..f74054a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,12 @@
 portaudio19 (19+svn20070113-2) UNRELEASED; urgency=low
 
+  [ Mikael Magnusson ]
   * NOT RELEASED YET
+  * Disable JACK and ringbuffer on all architectures except i386 and
+    powerpc.  (Closes: #406754: FTBFS: #error Memory barriers are not
+    defined on this system)
 
- -- Kilian Krause <kilian at debian.org>  Sat, 13 Jan 2007 14:27:54 +0100
+ -- Mikael Magnusson <mikma at users.sourceforge.net>  Sun, 14 Jan 2007 15:32:33 +0100
 
 portaudio19 (19+svn20070113-1) unstable; urgency=low
 
diff --git a/debian/control b/debian/control
index 3ad555b..9f9e9b5 100644
--- a/debian/control
+++ b/debian/control
@@ -25,8 +25,7 @@ Description: Portable audio I/O - shared library
 Package: portaudio19-dev
 Section: devel
 Architecture: any
-Depends: libportaudio2 (= ${Source-Version}), ${alsa-dev},
- libjack0.100.0-dev
+Depends: libportaudio2 (= ${Source-Version}), ${alsa-dev}, ${jack-dev}
 Conflicts: libportaudio-dev, libportaudio19-dev, libportaudio-19-dev
 Replaces: libportaudio19-dev, libportaudio-19-dev
 Description: Portable audio I/O - development files
diff --git a/debian/patches/00list b/debian/patches/00list
index 9bf0d39..aa0e71c 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -1,3 +1,4 @@
 01_config
 pa_autoconf_soundcard
+pa_cond_ringbuffer
 pa_autoconf_soundcard_gen
diff --git a/debian/patches/pa_autoconf_soundcard_gen.dpatch b/debian/patches/pa_autoconf_soundcard_gen.dpatch
index 10a2343..0ed9145 100644
--- a/debian/patches/pa_autoconf_soundcard_gen.dpatch
+++ b/debian/patches/pa_autoconf_soundcard_gen.dpatch
@@ -176,4 +176,22 @@ diff -rN -u old-tmp/configure new-tmp/configure
  { echo "$as_me:$LINENO: checking for short" >&5
  echo $ECHO_N "checking for short... $ECHO_C" >&6; }
  if test "${ac_cv_type_short+set}" = set; then
+@@ -21125,7 +21268,7 @@
+ #define PA_USE_COREAUDIO 1
+ _ACEOF
+ 
+-	OTHER_OBJS="src/os/mac_osx/pa_mac_hostapis.o src/os/unix/pa_unix_util.o src/hostapi/coreaudio/pa_mac_core.o src/hostapi/coreaudio/pa_mac_core_utilities.o src/hostapi/coreaudio/pa_mac_core_blocking.o";
++	OTHER_OBJS="src/os/mac_osx/pa_mac_hostapis.o src/os/unix/pa_unix_util.o src/hostapi/coreaudio/pa_mac_core.o src/hostapi/coreaudio/pa_mac_core_utilities.o src/hostapi/coreaudio/pa_mac_core_blocking.o src/common/pa_ringbuffer.o";
+ 	LIBS="-framework CoreAudio -framework AudioToolbox -framework AudioUnit -framework Carbon";
+ 	PADLL="libportaudio.dylib";
+ 	SHARED_FLAGS="-framework CoreAudio -framework AudioToolbox -framework AudioUnit -framework Carbon -dynamiclib";
+@@ -21542,7 +21685,7 @@
+ 	if [ $have_jack = "yes" ] && [ $with_jack != "no" ] ; then
+ 		DLL_LIBS="$DLL_LIBS $JACK_LIBS"
+ 		CFLAGS="$CFLAGS $JACK_CFLAGS"
+-		OTHER_OBJS="$OTHER_OBJS src/hostapi/jack/pa_jack.o"
++		OTHER_OBJS="$OTHER_OBJS src/hostapi/jack/pa_jack.o src/common/pa_ringbuffer.o"
+                 cat >>confdefs.h <<\_ACEOF
+ #define PA_USE_JACK 1
+ _ACEOF
 
diff --git a/debian/patches/pa_cond_ringbuffer.dpatch b/debian/patches/pa_cond_ringbuffer.dpatch
new file mode 100644
index 0000000..084aa51
--- /dev/null
+++ b/debian/patches/pa_cond_ringbuffer.dpatch
@@ -0,0 +1,70 @@
+#! /bin/sh -e
+## pa_cond_ringbuffer.dpatch by  <mikma at users.sourceforge.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Conditional compile the ringbuffer only if jack or macapi is enabled.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+diff -rN -u old-working/configure.in new-working/configure.in
+--- old-working/configure.in	2007-01-14 15:29:20.000000000 +0100
++++ new-working/configure.in	2007-01-14 15:29:20.000000000 +0100
+@@ -139,7 +139,7 @@
+ 	dnl Mac OS X configuration
+ 
+ 	AC_DEFINE(PA_USE_COREAUDIO)
+-	OTHER_OBJS="src/os/mac_osx/pa_mac_hostapis.o src/os/unix/pa_unix_util.o src/hostapi/coreaudio/pa_mac_core.o src/hostapi/coreaudio/pa_mac_core_utilities.o src/hostapi/coreaudio/pa_mac_core_blocking.o";
++	OTHER_OBJS="src/os/mac_osx/pa_mac_hostapis.o src/os/unix/pa_unix_util.o src/hostapi/coreaudio/pa_mac_core.o src/hostapi/coreaudio/pa_mac_core_utilities.o src/hostapi/coreaudio/pa_mac_core_blocking.o src/common/pa_ringbuffer.o";
+ 	LIBS="-framework CoreAudio -framework AudioToolbox -framework AudioUnit -framework Carbon";
+ 	PADLL="libportaudio.dylib";
+ 	SHARED_FLAGS="-framework CoreAudio -framework AudioToolbox -framework AudioUnit -framework Carbon -dynamiclib";
+@@ -274,7 +274,7 @@
+ 	if [[ $have_jack = "yes" ] && [ $with_jack != "no" ]] ; then
+ 		DLL_LIBS="$DLL_LIBS $JACK_LIBS"
+ 		CFLAGS="$CFLAGS $JACK_CFLAGS"
+-		OTHER_OBJS="$OTHER_OBJS src/hostapi/jack/pa_jack.o"
++		OTHER_OBJS="$OTHER_OBJS src/hostapi/jack/pa_jack.o src/common/pa_ringbuffer.o"
+                 AC_DEFINE(PA_USE_JACK)
+ 	fi
+ 
+diff -rN -u old-working/Makefile.darwin new-working/Makefile.darwin
+--- old-working/Makefile.darwin	2007-01-14 15:29:20.000000000 +0100
++++ new-working/Makefile.darwin	2007-01-14 15:29:20.000000000 +0100
+@@ -38,7 +38,7 @@
+ LT_AGE=0
+ 
+ 
+-OTHER_OBJS = src/os/mac_osx/pa_mac_hostapis.o src/os/unix/pa_unix_util.o src/hostapi/coreaudio/pa_mac_core.o src/hostapi/coreaudio/pa_mac_core_utilities.o src/hostapi/coreaudio/pa_mac_core_blocking.o
++OTHER_OBJS = src/os/mac_osx/pa_mac_hostapis.o src/os/unix/pa_unix_util.o src/hostapi/coreaudio/pa_mac_core.o src/hostapi/coreaudio/pa_mac_core_utilities.o src/hostapi/coreaudio/pa_mac_core_blocking.o src/common/pa_ringbuffer.o
+ 
+ PALIB = libportaudio.a
+ PADLL = libportaudio
+diff -rN -u old-working/Makefile.in new-working/Makefile.in
+--- old-working/Makefile.in	2007-01-14 15:29:20.000000000 +0100
++++ new-working/Makefile.in	2007-01-14 15:29:20.000000000 +0100
+@@ -51,7 +51,6 @@
+ 	src/common/pa_debugprint.o \
+ 	src/common/pa_front.o \
+ 	src/common/pa_process.o \
+-	src/common/pa_ringbuffer.o \
+ 	src/common/pa_skeleton.o \
+ 	src/common/pa_stream.o \
+ 	src/common/pa_trace.o
+
diff --git a/debian/rules b/debian/rules
index c14968f..8f95ace 100755
--- a/debian/rules
+++ b/debian/rules
@@ -13,6 +13,7 @@ include /usr/share/dpatch/dpatch.make
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 
 CFLAGS = -Wall -g -D_REENTRANT
@@ -27,10 +28,28 @@ ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 endif
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
-	CONFIGURE_SOUND_ARGS = --with-oss=yes --with-jack=yes --with-alsa=yes
-	DH_GENCONTROL_ARGS = -- -Valsa-dev="libasound2-dev"
+	CONFIGURE_SOUND_ARGS = --with-oss=yes --with-alsa=yes
+	DH_GENCONTROL_ARGS = -Valsa-dev="libasound2-dev"
 else
-	CONFIGURE_SOUND_ARGS = --with-oss=yes --with-jack=yes --with-alsa=no
+	CONFIGURE_SOUND_ARGS = --with-oss=yes --with-alsa=no
+endif
+
+#
+# pa_ringbuffer required for jack support is only guaranteed
+# SMP safe on i386 and powerpc
+#
+ENABLE_JACK = no
+ifeq (i386,$(DEB_HOST_ARCH))
+	ENABLE_JACK = yes
+else
+ifeq (powerpc,$(DEB_HOST_ARCH))
+	ENABLE_JACK = yes
+endif
+endif
+
+ifeq (yes,$(ENABLE_JACK))
+	CONFIGURE_SOUND_ARGS += --with-jack=yes
+	DH_GENCONTROL_ARGS += -Vjack-dev="libjack0.100.0-dev"
 endif
 
 DEBVERSION:=$(shell head -n 1 debian/changelog \
@@ -121,7 +140,7 @@ binary-arch: build install
 	dh_makeshlibs -a -V 'libportaudio2 (>= 19+cvs20060311-1)'
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a $(DH_GENCONTROL_ARGS)
+	dh_gencontrol -a -- $(DH_GENCONTROL_ARGS)
 	dh_md5sums -a
 	dh_builddeb -a
 

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-voip/portaudio19.git



More information about the Pkg-voip-commits mailing list